


<h2>Редактирование категории продуктов</h2>
<script type="text/javascript">
    $(document).ready(function () {
        $('.categoryProducts-save').submit(function () {
            var form = $(this);
            var success = function(response) {
                if (response.status == 'ok') {
                    var data = response.data;
                    if(data.id) {
                        window.location.href = '?module=products&action=categoryEdit&id='+data.id;
                    }
                } else {
                    alert(response.errors.join(','));
                }
            };
            $.ajax({
                url: form.attr('action'),
                data: form.serialize(),
                type: 'post',
                dataType: 'json',
                success: success
            });
            return false;
        });
        $('.category-delete').click (function () {
            if(confirm('Вы уверены, что хотите далить категорию и все товары в ней?')) {
                $.get($(this).attr('href'), function (response) {
                   if(response.status=='ok') {
                       window.location.replace('?module=products');
                   } else {

                   }

                });
            }
            return false;
        });

    });
</script>
<form  action="?module=products&action=categorySave"  class="categoryProducts-save" method="post">
    {if isset($category['id'])}
    <input type="hidden" name="id" value="{$category['id']}">
    {/if}
    <table class="light" style="width: 400px; margin-left: 30px;">
        <tr>
            <td>Родительская категория:</td>
            <td>
                <select name="parent_id" id="parent_id" aria-required="true" >
                    <option value="0">Корень</option>
                        {foreach $wa->manufactory->allowCategories(0, 2) as $kg => $vg}
                        {if $category && $kg == $category['parent_id']}
                        <option value="{$kg}" selected="selected">{$vg['name']}</option>
                        {else}
                        <option value="{$kg}">{$vg['name']}</option>
                        {/if}
                        {/foreach}
                </select>
            </td>
        </tr>
        <tr>
            <td>Название категории:</td>
            <td><input  type="text" name="name" value="{if isset($category['name'])}{$category['name']}{/if}" maxlength="255"></td>
        </tr>
        <tr>
            <td>Сортировка:</td>
            <td><input  type="text" name="sort" value="{if isset($category['sort'])}{$category['sort']}{/if}" maxlength="255"></td>
        </tr>

        <tr>
            <td>
            {if !empty($category['id'])}
                <a href="?module=products&action=categoryDelete&id={$category['id']}" class="inline category-delete" >
                   Удалить категорию <i class="icon16 delete"></i>
                </a>
            {/if}
            </td>
            <td><input type="submit" value="{if isset($category['id'])}Сохранить{else}Добавить{/if}" class="button green"></td>
        </tr>

    </table></form>
